FolksDummy.PersonaStore.PersonaStore – folks-dummy Reference Manual

# PersonaStore

## Description:

public PersonaStore (string id, string display_name, string[] always_writeable_properties)

Create a new persona store.

This store will have no personas to begin with; use FolksDummy.PersonaStore.register_personas to add some, then call FolksDummy.PersonaStore.reach_quiescence to signal the store reaching quiescence.

## Parameters:

id | The new store's ID.
display_name | The new store's display name.
always_writeable_properties | The set of always writeable properties.

## Since:

0.9.7